Name:           turbojpeg
Version:	1.2.1
Release:	2%{?dist}
Summary:	TurboJPEG library

Group:		System Environment/Libraries
License:	BSD
URL:		http://sourceforge.net/projects/libjpeg-turbo
Source0:	http://downloads.sourceforge.net/libjpeg-turbo/libjpeg-turbo-%{version}.tar.gz
BuildRoot:	%{_tmppath}/libjpeg-turbo-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	autoconf, automake, libtool
%ifarch %{ix86} x86_64
BuildRequires:	nasm
%endif

Patch0:		libjpeg-turbo12-noinst.patch

%description

The turbojpeg package contains the TurboJPEG shared library.

%package devel
Summary:	Headers for the TurboJPEG library
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description devel

This package contains header files necessary for developing programs which
will manipulate JPEG files using the TurboJPEG library.


%prep
%setup -q -n libjpeg-turbo-%{version}

%patch0 -p1 -b .noinst

%build
autoreconf -fiv

%configure

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

# Fix perms
chmod -x README-turbo.txt

# Remove unwanted files
rm -f $RPM_BUILD_ROOT/%{_libdir}/lib{,turbo}jpeg.la

# Don't distribute libjpegturbo.a
rm -f $RPM_BUILD_ROOT/%{_libdir}/libturbojpeg.a


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc README-turbo.txt
%exclude %{_libdir}/libjpeg.so.62.0.0
%exclude %{_libdir}/libjpeg.so.62
%exclude %{_libdir}/libjpeg.a
%exclude %{_bindir}/cjpeg
%exclude %{_bindir}/djpeg
%exclude %{_bindir}/jpegtran
%exclude %{_bindir}/rdjpgcom
%exclude %{_bindir}/wrjpgcom
%exclude %{_mandir}/man1/cjpeg.1*
%exclude %{_mandir}/man1/djpeg.1*
%exclude %{_mandir}/man1/jpegtran.1*
%exclude %{_mandir}/man1/rdjpgcom.1*
%exclude %{_mandir}/man1/wrjpgcom.1*
%{_libdir}/libturbojpeg.so

%files devel
#%doc coderules.txt jconfig.txt libjpeg.txt structure.txt example.c
%exclude %{_includedir}/jconfig.h
%exclude %{_includedir}/jerror.h
%exclude %{_includedir}/jmorecfg.h
%exclude %{_includedir}/jpeglib.h
%exclude %{_libdir}/libjpeg.so

%{_includedir}/turbojpeg.h


%changelog
* Sun May 19 2013 Gary Gatling <gsgatlin@ncsu.edu> 1.2.1-2
- Fix spec file to better conform to packaging guidelines.
* Sun Oct 21 2012 Gary Gatling <gsgatlin@ncsu.edu> 1.2.1-1
- Change package to only include libturbojpeg.so and turbojpeg.h for BZ854670. (#854670)

